
.footer-vignette {
    position: fixed;
    bottom: 50px;
    right: 0;
    width: 360px;
    height: auto;
    overflow: hidden;
    z-index: 1000;
    transform: translateX(230px);
    transition: transform 0.5s ease;
}

.footer-vignette:hover {
    transform: translateX(0);
}

.vignette {
    display: flex;
    align-items: center;
    height: 100%;
}

.vignette img {
    width: 130px;
    height: 100%;
    object-fit: cover;
}

.vignette .texte {
    width: 230px;
        padding: 20px 10px 0px;

    background-color: #f0f0f0;
    color: #333;
    font-size: 14px;
    line-height: 1.5;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: left;
}

@media (max-width: 768px) {
    .footer-vignette {
        position: static;
        width: 100%;
        transform: none;
        transition: none;
			    background-color: #f0f0f0;
margin-top: 40px;
    }

    .vignette {
        display: flex;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        width: 100%;
        gap: 0px; 
    }

    .vignette img {

        max-width: 160px; 
        height: auto;
        object-fit: contain;
    }

    .vignette .texte {
        width: 70%;
        text-align: left;
        padding: 20px 10px 0px;
        font-size: 14px;
        line-height: 1.4;
    }
}
